{% extends "base.html" %}

{% load blog_tags %}

{% load static %}

{% block content %}

<!-- si on ne se trouve pas sur la liste des posts -->
{% if not form_post %}
    <h3 class="mb-6">
        <a href="http://127.0.0.1:8000/blog/?page=1">Back to the list</a>
    </h3>
{% endif %}

<div class="card mb-5">

   <!-- auteur et titre du post -->
   <div class="card-header position-relative">

        <h2 class="mb-3">
            <a href="{{ post.get_absolute_url }}">
                {{ post.title }}
            </a>
        </h2>

        <div class="d-flex align-items-center mb-3">
            <div class="avatar avatar-xl  me-2">
                <img class="rounded-circle" src="{% static "assets/img/team/" %}{{ post.author_id }}.webp" alt="image user">
            </div>
            <div class="flex-1">
                <p class="fw-bold mb-0 text-body-emphasis">
                    {{ post.author }}
                </p>
                <p class="fs-9 mb-0 text-body-tertiary text-opacity-85 fw-semibold">
                    {{ post.publish }}
                </p>
            </div>

        </div>
        
        
    </div>


    <!-- tags et contenu du post -->
    <div class="card-body p-3 p-sm-4">

        <p>
            Tags:
            
            {% for tag in post.tags.all %}
                <a href="{% url "blog:post_list_by_tag" tag.slug %}#top-post">
                    {{ tag.name }}
                </a>
                {% if not forloop.last %}, {% endif %}
            {% empty %}
                <a> No tag </a>
            {% endfor %}
            
        </p>
        
        <div class="bg-body-secondary p-sm-3">
            {{ post.body|markdown|truncatewords_html:150 }}
        </div>


        <div class="mt-2">
            <h3 >
                <a href="{% url "blog:post_share" post.id %}">
                    Share this post
                </a>
            </h3>
        </div>

        <div class="mt-2">
            <h2>Similar posts</h2>
            
            {% for post in similar_posts %}
            <p>
                <a href="{{ post.get_absolute_url }}">{{ post.title }}</a>
            </p>
            {% empty %}
                There are no similar posts yet.
            {% endfor %}
        </div>


    </div>



    <!-- commentaires -->
    <div class="border-top border-translucent p-3 p-sm-4">

        {% for comment in comments %}

            {% if comment.name %}
                <b>
                    {{ comment.name }}
                </b>
            {% else %}
                <b>
                    Anonyme
                </b>
            {% endif %}
            <p class="fs-9 mb-0 text-body-tertiary text-opacity-85 fw-semibold">
                {{ comment.created|date:"d  F  Y - P" }}
            </p>
            <p class="bg-body-highlight">
                {{ comment.body }}
            </p>
        {% empty %}
            <p> There are no comments. </p>
            
        {% endfor %}

        <div class="d-flex align-items-center">

            {% include "blog/post/includes/comment_form.html" %}

        </div>

    </div>

</div>

{% endblock %}